Bug 1881819 - [release 4.6] cluster-kube-storage-version-migrator-operator: Fix bug in reflector not recovering from "Too large resource version"
Summary: [release 4.6] cluster-kube-storage-version-migrator-operator: Fix bug in refl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-storage-version-migrator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Lukasz Szaszkiewicz
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1880369
Blocks: 1879901 1880327 1893637
TreeView+ depends on / blocked
 
Reported: 2020-09-23 07:00 UTC by Lukasz Szaszkiewicz
Modified: 2020-11-02 09:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1880327
Environment:
Last Closed: 2020-10-27 16:44:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-storage-version-migrator-operator pull 28 0 None closed Bug 1881819: Fix bug in reflector not recovering from "Too large resource version" 2020-11-02 08:35:14 UTC
Github openshift kubernetes-kube-storage-version-migrator pull 160 0 None closed Bug 1881819: Fix bug in reflector not recovering from "Too large resource version" 2020-11-02 08:35:14 UTC
Github openshift release pull 12155 0 None closed Bug 1881819: switch cluster-kube-storage-version-migrator-operator to golang 1.14 2020-11-02 08:35:31 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:44:26 UTC

Comment 2 Ke Wang 2020-09-24 05:55:51 UTC
- cluster-kube-storage-version-migrator-operator checking, as expected version.so move the bug verified.

$ git clone https://github.com/openshift/cluster-kube-storage-version-migrator-operator.git

$ cd cluster-authentication-operator

$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-09-24-030538 | grep cluster-kube-storage-version-migrator-operator
cluster-kube-storage-version-migrator-operator https://github.com/openshift/cluster-kube-storage-version-migrator-operator 6e964c5ef440bbfb43d970c38bb16f4ae4d2b43c


$ git checkout -b 4.6.0-0.nightly-2020-09-24-030538 6e964c5e
Switched to a new branch '4.6.0-0.nightly-2020-09-24-030538'
client-go version:
	k8s.io/client-go v0.19.0
	k8s.io/client-go => k8s.io/client-go v0.19.0

Comment 5 errata-xmlrpc 2020-10-27 16:44:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.